Summary: A graphical desktop manager.
%define version 1.0b5
Name: TkDesk
Version: %{version}
Release: 2
Source: ftp://sunsite.unc.edu/pub/Linux/Incoming/tkdesk-%{version}.tar.gz
Copyright: GPL
Buildroot: /tmp
Prefix: /usr
Group: X11/Applications
Packager: David M. Cook, <dmcook@cts.com>

%description
   TkDesk is a graphical desktop and file manager for several brands
   of UNIX (such as Linux) and the X Window System.  It offers a very
   rich set of file operations and services, and gives the user the
   ability to configure most aspects of TkDesk in a powerful way.  The
   reason for this is the use of Tcl/Tk as the configuration and (for
   the biggest part of TkDesk) implementation language.

   TkDesk has been influenced by various other systems and file managers:
   NeXT, for laying out the file browser windows, Apple Finder, for the
   idea of file annotations and, (shock horror), Windows 95, for some
   other (of course minor and unimportant ;-)) inspirations.
 
   This is a brief overview of the most prominent features of TkDesk:
 
   o Arbitrary number of automatically refreshed file browsers and file
     list windows,
   o Configurable file-specific popup-menus,
   o Drag and drop,
   o Files and directories may also be dropped onto the root window,
   o Configurable application bar, with several displays and cascadable
     popup menus for each button, files can also be dropped here,
   o History of visited directories, opened files, executed commands
     and many other things, which is automatically saved to disk,
   o Find files through their annotation, name, contents, size or age,
   o Trash can for safe "deletion" of files and directories,
   o Calculation of disk usage for directory hierarchies,
   o All file operations (find, copy, disk usage, etc.) are carried out
     in the background,
   o Traversal of directory hierarchies through recursive cascaded menus,
   o Bookmarks, create menu entries for often used files/directories,
   o Comprehensive hypertextish online help (slightly out of date in this
     release...),
   o Built-in multi-buffer editor, providing virtually unlimited undo,
   o Remote control of Netscape and XEmacs,
   o Sound support,
   o Powerful on-the-fly configuration of nearly all aspects of TkDesk
     using Tcl/Tk, allowing for unlimited extensibility,
   o Free of charge! But see the file COPYING, or menu entry
     Help/License for information on usage and redistribution of TkDesk.

%prep
%setup -n tkdesk-%{version}

%build

./configure --prefix=$RPM_BUILD_ROOT/usr  --with-tcltk=/usr/lib
make 


%install
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/lib/TkDesk

make install

cd $RPM_BUILD_ROOT/usr/bin
sed "s|$RPM_BUILD_ROOT||g" tkdesk > tkdesk.rep
cp tkdesk.rep tkdesk
rm tkdesk.rep
    
%files
/usr/bin/tkdesksh 
/usr/bin/tkdesk 
/usr/bin/tkdeskclient 
/usr/bin/pauseme 
/usr/bin/ed-tkdesk
/usr/bin/cd-tkdesk 
/usr/bin/od-tkdesk
/usr/lib/TkDesk
/usr/man/man1/tkdesk.1 
/usr/man/man1/cd-tkdesk.1 
/usr/man/man1/ed-tkdesk.1 
/usr/man/man1/od-tkdesk.1
%doc COPYING INSTALL README TODO license.terms doc/guide.ps doc/guide.sgml
